Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

php 5.6 not activatable (ea-php56 or alt-php56)

Discussion in 'CloudLinux' started by gildas, Mar 2, 2018.

  1. gildas

    gildas Active Member

    Joined:
    Mar 30, 2017
    Messages:
    29
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Paris
    cPanel Access Level:
    Root Administrator
    Hello,

    currently, version 5.6 of php can not be actiév on our domains.
    the domain on which we have activated version 5.6 (ea-php56 or alt-php56), remains in any case on php 7.0 (information available from a phpinfo).

    Do you know where this concern will come from?

    Information: easyphp version 5.6 is active, and also on LVE.

    Best Regards,
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,749
    Likes Received:
    1,884
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    Can you verify the specific steps you took to change the PHP version on the domain name?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. gildas

    gildas Active Member

    Joined:
    Mar 30, 2017
    Messages:
    29
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Paris
    cPanel Access Level:
    Root Administrator
    Hello,

    to modify the php version of a domain, I go to the "MultiPHP Manager" section and then select the php version that I want to set up in the drop-down menu (I select the domain on which I want to perform this action by before) .

    This type of problem is present since the update of the cpanel in version 68.0.29

    on the image we can see that we have in php 5.6 but on a phpinfo we remain in version 7.0
     

    Attached Files:

  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,749
    Likes Received:
    1,884
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    There are some considerations to understand when using PHP Selector with CloudLinux. Please review the following CloudLinux documentation to review these considerations:

    PHP Selector > Control Panel Integration > cPanel

    Let us know if this helps.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. gildas

    gildas Active Member

    Joined:
    Mar 30, 2017
    Messages:
    29
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Paris
    cPanel Access Level:
    Root Administrator
    Hello,
    thx for you anwser

    Maybe, on the php 5.6 version associated with CLoudLinux the module php mysql / mysqli are not active, visible via a phpinfo: phpinfo()

    yet on LVE STAT (heading "selector") these modules are well activated, is there an update of versioin 5.6 php to perform?
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice